curl --request GET \
--url https://api.paxos.com/v2/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "d99a03ee-6b88-4362-89da-087c2c8cd4a7",
"type": "identity.approved",
"object_type": "identity_summary_status_change",
"object": {
"id": "d840cf31-352f-4190-a476-7522bf3eafda",
"identity_id": "4fd025ab-f29f-47e6-a02e-df90a61c7ec9",
"new_summary_status": "APPROVED",
"old_summary_status": "PENDING"
},
"created_at": "2023-08-25T14:25:41.648489333Z",
"undelivered_webhooks": 0
},
{
"id": "19c0ae8e-fdfc-4b27-88af-07762af8f2a8",
"type": "identity.documents_required",
"object_type": "identity_required_documents",
"object": {
"id": "d11aba88-39cd-4445-acbb-e4d127588def",
"identity_id": "fc9dcae4-5411-464c-a20e-f0911ee1c5c1",
"required_documents": [
"TAX_IDENTIFICATION",
"PROOF_OF_RESIDENCY"
],
"documents": [
{
"document_type": "TAX_IDENTIFICATION",
"required": true,
"explanation": "Required to verify your tax identification number."
},
{
"document_type": "PROOF_OF_RESIDENCY",
"required": true,
"explanation": "Required to confirm your current residential address."
},
{
"document_type": "PROOF_OF_FUNDS",
"required": false,
"explanation": "Optional; provide to raise your transfer limits."
}
]
},
"created_at": "2023-08-24T18:29:41.648489493Z",
"undelivered_webhooks": 0
},
{
"id": "2c8f0f4a-6f1a-4b3e-9c2d-1a2b3c4d5e6f",
"type": "identity.documents_accepted",
"object_type": "identity_edd",
"object": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"identity_id": "4fd025ab-f29f-47e6-a02e-df90a61c7ec9"
},
"created_at": "2023-08-25T10:15:22.648489493Z",
"undelivered_webhooks": 0
},
{
"id": "3d9a1b2c-7a2b-4c5d-8e9f-2b3c4d5e6f70",
"type": "identity.documents_denied",
"object_type": "identity_edd",
"object": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"identity_id": "4fd025ab-f29f-47e6-a02e-df90a61c7ec9"
},
"created_at": "2023-08-25T11:20:33.648489493Z",
"undelivered_webhooks": 0
}
]
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "limit must be between 1 and 100"
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "insufficient scopes: found 'identity:read_identity', required one of '[event:read_event]'"
}List Events
This endpoint enables you to fetch a list of events that have been created by the system.
You can use query parameters to filter the results by the created_at time using created_at.lt, created_at.gt, etc. and you can
limit the number of events returned.
Use page_cursor from the previous response to paginate through results. Use order to control sort direction (ASC or DESC by created_at).
Events returned will be ordered by created_at in ascending order by default.
events:read_event
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.
Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.
Number of results to return. Defaults to 100 if no limit is provided.
Retrieve all (default) or optionally filter by event type.
Filter for test events (true) or real events (false). Defaults to false (real events only).
Sort order for results by created_at. Defaults to ASC (oldest first).
DESC, ASC Cursor from a previous response to fetch the next page.
Was this page helpful?